Bug 1316485 - CVE-2016-2563 putty: old-style scp downloads may allow remote code execution [epel-6]
CVE-2016-2563 putty: old-style scp downloads may allow remote code execution ...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: putty (Show other bugs)
el6
All Linux
high Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2563
  Show dependency treegraph
 
Reported: 2016-03-10 06:02 EST by Andrej Nemec
Modified: 2016-03-29 14:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: putty-0.63-6.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 14:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-03-10 06:02:06 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

[bug automatically created by: add-tracking-bugs]
Comment 1 Andrej Nemec 2016-03-10 06:02:14 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1316481,1316485

# Description of your update
notes=Security fix for CVE-2016-2563

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2016-03-10 10:09:17 EST
putty-0.63-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a2caa893f
Comment 3 Fedora Update System 2016-03-12 10:49:55 EST
putty-0.63-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a2caa893f
Comment 4 Fedora Update System 2016-03-29 14:23:20 EDT
putty-0.63-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.